#ifndef DEFS_H
#define DEFS_H

#define bool int
#define TRUE  1
#define FALSE 0

#define SYMBOL_TABLE_LENGTH   64
#define CHAR_BUFFER_LENGTH    128
#define NO_ATTRIBUTE          -1
#define LAST_WORKING_REG      12
#define FUNCTION_REG          13

//pomocni makroi za ispis
#define printerror(args...) sprintf(char_buffer, args), \
                            yyerror(char_buffer)
#define printwarning(args...) sprintf(char_buffer, args), \
                              warning(char_buffer)
#define code(args...) fprintf(output, args)
extern char char_buffer[CHAR_BUFFER_LENGTH];


//tipovi podataka
enum types { NO_TYPE, INT_TYPE };

// vrste simbola (moze ih biti maksimalno 32)
enum kinds { NO_KIND = 0x1, REGISTER = 0x2, CONSTANT = 0x4, 
   FUNCTION = 0x8, LOCAL_VAR = 0x10 };

//konstante arithmetickih operatora
enum arops { ADD, SUB };

//konstante relacionih operatora
enum relops { EQ, NE };

#endif
