
#include <stdio.h>
#include "sem.h"

// Proverava da li postoji 'main' funkcija
// i da li joj je tip 'int'.
void check_main() {
   int index;
   if((index = lookup_id("main", FUNCTION)) == -1)
      printerror("undefined reference to 'main'");
   else 
      if(get_type(index) != INT_TYPE)
         printwarning("return type of 'main' is not int");
}

// Proverava tipove 2 elementa u tabeli simbola.
bool check_types(int first_index, int second_index) {
   unsigned t1 = get_type(first_index);
   unsigned t2 = get_type(second_index);
   if(t1 == t2 && t1 != NO_TYPE)
      return TRUE;
   else
      return FALSE;
}

